Last modified: 2012-04-19 21:43:17 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20618 - User can insert links, insert tables with blank values
User can insert links, insert tables with blank values
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal trivial (vote)
: ---
Assigned To: Trevor Parscal
http://usability.wikimedia.org/wiki/R...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-09-12 19:58 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Calcey QA 2009-09-12 19:58:40 UTC
Reporting against Babaco Release. (Hosted on http://prototype.wikimedia.org)

Steps to Reproduce ::
1)Start editing a page
2)Click on Link icon and click Insert link without setting any value 

3)Similarly try to insert a table without any value 


Expected Outcome ::
Validations shall be done to avoid inserting tables/links with blanks.


Test Environment (Client) ::
Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.2) Gecko/20090729 Firefox/3.5.2
Javascript: 	Enabled
Cookies Enabled: 	Enabled
Java Enabled: 	Enabled
CPU class/type: 	OS/CPU Windows NT 6.0
Screen Width x Height: 	1280 x 800
Screen Color Depth: 	32
Comment 1 Roan Kattouw 2009-09-12 21:42:44 UTC
Fixed the link dialog in r56248. I didn't fix the table dialog, nor did I forbid users from inserting links with a valid target but empty text. The latter has a practical use for power users, and while the former does not, I'm not sure we want to forbid it. CCing team for discussion.
Comment 2 Calcey QA 2009-09-29 05:01:54 UTC
Added keyword babaco to the bug
Comment 3 Roan Kattouw 2009-09-29 12:07:58 UTC
Inserting empty tables is no longer possible, nor is inserting a link with an invalid (or empty) target.
Comment 4 Calcey QA 2009-10-01 06:51:40 UTC
Verified and Passed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links